Cross Reference Lookups
Retrieves a paginated list of cross reference lookups. Can be filtered by name.
API key passed in the Authorization header. Format: <api-key>
Filter results by name.
Filter results by id.
Filter results by ,.
Comma-separated list of relationships to include. Available: crossReferenceLookupValues
Sort field. Prefix with - for descending. Available: name
Page number for pagination.
1Number of results per page.
Successful response
Unauthenticated
Unauthorized
GET /api/v1/cross-reference-lookups HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"id": 1,
"cross_reference_lookup_template_id": 1,
"name": "My Example",
"description": "A description of the resource",
"default_value": "example_default_value",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"deleted_at": "2025-01-15T10:30:00.000000Z",
"left_value": "example_left_value",
"right_value": "example_right_value",
"cross_reference_lookup_values": []
}
],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api.example.com/api/v1/cross-reference-lookups",
"per_page": 25,
"to": 1,
"total": 1
},
"links": {
"first": "https://api.example.com/api/v1/cross-reference-lookups?page=1",
"last": "https://api.example.com/api/v1/cross-reference-lookups?page=1",
"prev": null,
"next": null
}
}Creates a new cross reference lookup.
API key passed in the Authorization header. Format: <api-key>
Successful response
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/cross-reference-lookups HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 107
{
"description": "A description of the resource",
"default_value": "example_default_value",
"name": "My Example"
}{
"data": {
"id": 1,
"cross_reference_lookup_template_id": 1,
"name": "My Example",
"description": "A description of the resource",
"default_value": "example_default_value",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"deleted_at": "2025-01-15T10:30:00.000000Z",
"left_value": "example_left_value",
"right_value": "example_right_value",
"cross_reference_lookup_values": []
}
}Installs a standard cross reference lookup from a template, such as ISO currency code or country code conversions.
API key passed in the Authorization header. Format: <api-key>
The crossReferenceLookupTemplate identifier.
Successful response
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/cross-reference-lookups/{crossReferenceLookupTemplate}/install HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{}Uploads a given cross reference lookup to your private marketplace.
This operation requires administrator permissions. If you are authorising requests with an API key, this request won't work (company-level API keys are associated with manager-level permissions). If you are an administrator, you can use OAuth 2 credentials to complete this operation. For more information please see our Authentication section.
API key passed in the Authorization header. Format: <api-key>
The crossReferenceLookup identifier.
Successful response
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/cross-reference-lookups/{crossReferenceLookup}/upload HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 29
{
"private": "example_private"
}{
"message": "string"
}Retrieves the details of a specific cross reference lookup.
API key passed in the Authorization header. Format: <api-key>
The cross reference lookup identifier.
Filter results by name.
Filter results by id.
Filter results by ,.
Comma-separated list of relationships to include. Available: crossReferenceLookupValues
Sort field. Prefix with - for descending. Available: name
Page number for pagination.
1Number of results per page.
Successful response
Unauthenticated
Unauthorized
GET /api/v1/cross-reference-lookups/{cross_reference_lookup} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"data": {
"id": 1,
"cross_reference_lookup_template_id": 1,
"name": "My Example",
"description": "A description of the resource",
"default_value": "example_default_value",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"deleted_at": "2025-01-15T10:30:00.000000Z",
"left_value": "example_left_value",
"right_value": "example_right_value",
"cross_reference_lookup_values": []
}
}Updates an existing cross reference lookup.
API key passed in the Authorization header. Format: <api-key>
The cross reference lookup identifier.
Successful response
Unauthenticated
Unauthorized
Validation Error
PUT /api/v1/cross-reference-lookups/{cross_reference_lookup} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 107
{
"description": "A description of the resource",
"default_value": "example_default_value",
"name": "My Example"
}{
"data": {
"id": 1,
"cross_reference_lookup_template_id": 1,
"name": "My Example",
"description": "A description of the resource",
"default_value": "example_default_value",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"deleted_at": "2025-01-15T10:30:00.000000Z",
"left_value": "example_left_value",
"right_value": "example_right_value",
"cross_reference_lookup_values": []
}
}Permanently deletes a specific cross reference lookup.
API key passed in the Authorization header. Format: <api-key>
The cross reference lookup identifier.
Successful response
Unauthenticated
Unauthorized
DELETE /api/v1/cross-reference-lookups/{cross_reference_lookup} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"message": "Action completed successfully."
}Removes all values from a specific cross reference lookup.
API key passed in the Authorization header. Format: <api-key>
The cross reference lookup identifier.
Successful response
No content
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/cross-reference-lookups/{cross_reference_lookup}/clear HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Retrieves a paginated list of values for a specific cross reference lookup. Can be filtered by left_value and right_value.
API key passed in the Authorization header. Format: <api-key>
The cross reference lookup identifier.
Filter results by cross_reference_lookup_id.
Filter results by left_value.
Filter results by right_value.
Sort field. Prefix with - for descending. Available: cross_reference_lookup_id, left_value, right_value
Page number for pagination.
1Number of results per page.
Successful response
Unauthenticated
Unauthorized
GET /api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"id": 1,
"cross_reference_lookup_template_id": 1,
"name": "My Example",
"description": "A description of the resource",
"default_value": "example_default_value",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"deleted_at": "2025-01-15T10:30:00.000000Z",
"left_value": "example_left_value",
"right_value": "example_right_value",
"cross_reference_lookup_values": []
}
],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api.example.com/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values",
"per_page": 25,
"to": 1,
"total": 1
},
"links": {
"first": "https://api.example.com/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values?page=1",
"last": "https://api.example.com/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values?page=1",
"prev": null,
"next": null
}
}Creates a new value for a specific cross reference lookup.
API key passed in the Authorization header. Format: <api-key>
The cross reference lookup identifier.
Successful response
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 71
{
"left_value": "example_left_value",
"right_value": "example_right_value"
}{
"data": {
"id": 1,
"cross_reference_lookup_template_id": 1,
"name": "My Example",
"description": "A description of the resource",
"default_value": "example_default_value",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"deleted_at": "2025-01-15T10:30:00.000000Z",
"left_value": "example_left_value",
"right_value": "example_right_value",
"cross_reference_lookup_values": []
}
}Imports values into a specific cross reference lookup from a CSV file containing left_value and right_value columns.
API key passed in the Authorization header. Format: <api-key>
The cross reference lookup identifier.
Successful response
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/import HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 37
{
"values_file": "example_values_file"
}{}Retrieves the details of a specific cross reference lookup value.
API key passed in the Authorization header. Format: <api-key>
The cross reference lookup identifier.
The cross reference lookup value identifier.
Filter results by cross_reference_lookup_id.
Filter results by left_value.
Filter results by right_value.
Sort field. Prefix with - for descending. Available: cross_reference_lookup_id, left_value, right_value
Page number for pagination.
1Number of results per page.
Successful response
Unauthenticated
Unauthorized
GET /api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/{cross_reference_lookup_value} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"data": {
"id": 1,
"cross_reference_lookup_template_id": 1,
"name": "My Example",
"description": "A description of the resource",
"default_value": "example_default_value",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"deleted_at": "2025-01-15T10:30:00.000000Z",
"left_value": "example_left_value",
"right_value": "example_right_value",
"cross_reference_lookup_values": []
}
}Updates an existing cross reference lookup value.
API key passed in the Authorization header. Format: <api-key>
The cross reference lookup identifier.
The cross reference lookup value identifier.
Successful response
Unauthenticated
Unauthorized
Validation Error
PUT /api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/{cross_reference_lookup_value} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 71
{
"left_value": "example_left_value",
"right_value": "example_right_value"
}{
"data": {
"id": 1,
"cross_reference_lookup_template_id": 1,
"name": "My Example",
"description": "A description of the resource",
"default_value": "example_default_value",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"deleted_at": "2025-01-15T10:30:00.000000Z",
"left_value": "example_left_value",
"right_value": "example_right_value",
"cross_reference_lookup_values": []
}
}Permanently deletes a specific cross reference lookup value.
API key passed in the Authorization header. Format: <api-key>
The cross reference lookup identifier.
The cross reference lookup value identifier.
Successful response
Unauthenticated
Unauthorized
DELETE /api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/{cross_reference_lookup_value} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"message": "Action completed successfully."
}Triggers the download of a specific cross reference lookup as a CSV file with left_value and right_value columns. The file is added to the File Downloads section in General Settings.
API key passed in the Authorization header. Format: <api-key>
The cross reference lookup identifier.
Successful response
Unauthenticated
Unauthorized
GET /api/v1/cross-reference-lookups/{cross_reference_lookup}/download HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{}Last updated
Was this helpful?